-- Copyright (c) 2012 Cloudera, Inc. All rights reserved.
--
-- Version 29 of the CMF schema. Migration code to be applied on top of the
-- previous version.
--

update SCHEMA_VERSION set VERSION=29;

--
-- Creation of table for client configuration entities.
--

create table CLIENT_CONFIGS (
    CLIENT_CONFIG_ID number constraint NOT_NULL_CLIENT_CONFIG_ID not null,
    CREATED_INSTANT number constraint NOT_NULL_CC_CREATED_INSTANT not null,
    SERVICE_ID number constraint NOT_NULL_CC_SRV_ID not null,
    CONFIG_ARCHIVE blob constraint NOT_NULL_CONFIG_ARCHIVE not null,
    MIME_TYPE varchar2(255) constraint NOT_NULL_MIME_TYPE not null,
    FILENAME varchar2(255) constraint NOT_NULL_CC_FILENAME not null,
    constraint PK_CLIENT_CONFIGS primary key (CLIENT_CONFIG_ID)
);

create index IDX_CLIENT_CONFIG_SERVICE on CLIENT_CONFIGS (SERVICE_ID);

alter table CLIENT_CONFIGS
    add constraint FK_CLIENT_CONFIG_SERVICE
    foreign key (SERVICE_ID)
    references SERVICES
    deferrable initially immediate;
