// (c) Copyright 2011-2012 Cloudera, Inc. All rights reserved.
define([
  'cloudera/chart/TimeRange',
  'cloudera/cmf/charts/ChartsSearchPage'
], function(TimeRange, ChartsSearchPage) {
  describe("ChartsSearchPage Tests", function() {
    var module, searchId = "chartsSearchContainer",
      resultId = "chartsResultContainer", options = {
      searchContainer: "#" + searchId,
      resultContainer: "#" + resultId,
      timeRange: new TimeRange(new Date(1), new Date(2)),
      metric: "",
      plot: {},
      recentUri: "dontcare",
      searchUri: "dontcare"
    };

    beforeEach(function() {
      jasmine.Ajax.useMock();
      clearAjaxRequests();
      $('<div id="' + searchId + '">' +
        '<int class="metricInput" type="hidden"/>' +
        '<int class="tsqueryInput" data-bind="value: tsquery" type="hidden"/>' +
        '</div>').appendTo(document.body);
      $('<div id="' + resultId + '">').appendTo(document.body);
      $('<div class="chart-type-selector"></div>').appendTo($("#" + resultId));
      $('<div class="chart-range-selector"></div>').appendTo($("#" + resultId));
    });

    afterEach(function() {
      $("#" + searchId).remove();
      $("#" + resultId).remove();
      module.unsubscribe();
    });

    it("should initialize things properly", function() {
      module = new ChartsSearchPage(options);
    });
  });
});
