// (c) Copyright 2011-2012 Cloudera, Inc. All rights reserved.

define(["cloudera/search/SearchFilters","cloudera/search/FilterModel","knockout","underscore"],function(e,t,n,r){describe("SearchFilters",function(){var i,s,o,u,a;beforeEach(function(){jasmine.Ajax.useMock(),u={status:200,responseText:JSON.stringify({success:!0})},i=$("<div></div>").appendTo($("body")),s=[],a=jasmine.createSpy("exportResults"),o=new e(i[0],"test/filters/url",s,a)}),afterEach(function(){i.remove()}),it("defines some attributes",function(){expect(o.filterContainer).toBeDefined(),expect(o.filters).toBeDefined(),expect(o.staticFilters).toBeDefined(),expect(o.appliedFilters).toBeDefined(),expect(o.filterPath).toBeDefined(),expect(o.activeFilter).toBeDefined(),expect(o.exportResults).toEqual(a)}),it("applies bindings upon instantiation",function(){spyOn(n,"applyBindings"),o=new e(i[0],"test/filters/url",[]),expect(n.applyBindings.callCount).toEqual(1);var t=n.applyBindings.argsForCall[0];expect(t[0]).toEqual(o),expect(t[1]).toEqual(i[0])}),it("can get a compare type from its name",function(){var e={name:"compareType1"},t={name:"compareType2"},n={compareTypes:[e,t]},r=o.compareTypeFromName(n,"compareType2");expect(r).toEqual(t),r=o.compareTypeFromName(n,"unknown"),expect(r).toBeFalsy()}),it("correctly appends filters",function(){var e=new t;expect(o.appliedFilters().length).toEqual(0),o.appendFilter(e),expect(o.appliedFilters().length).toEqual(1)}),it("does not append if any filters are duplicates",function(){var e=new t;e.filter("filter"),e.compareType("compareType"),e.value("value"),expect(o.appliedFilters().length).toEqual(0),o.appendFilter(e),expect(o.appliedFilters().length).toEqual(1);var n=new t;n.filter("filter"),n.compareType("compareType"),n.value("value"),o.appendFilter(n),expect(o.appliedFilters().length).toEqual(1)}),it("sets filter to active if not complete",function(){var e=new t;expect(e.complete()).toBeFalsy(),expect(e.active()).toBeFalsy(),o.appendFilter(e),expect(e.active()).toBeTruthy()}),it("tracks which filter is the active one and allows only one",function(){var e=new t;e.filter("filter1"),e.compareType("compareType1"),e.value("value1");var n=new t;n.filter("filter2"),n.compareType("compareType2"),n.value("value2"),o.appendFilter(e),o.appendFilter(n),expect(o.appliedFilters().length).toEqual(2),e.active(!0),expect(e.active()).toBeTruthy(),expect(n.active()).toBeFalsy(),n.active(!0),expect(e.active()).toBeFalsy(),expect(n.active()).toBeTruthy()}),it("removes incomplete active filters when deactivated",function(){var e=new t;e.filter("filter1"),o.appendFilter(e),expect(e.active()).toBeTruthy(),expect(o.activeFilter()).toEqual(e),expect(o.appliedFilters().length).toEqual(1),o.deactivateAllFilters(),expect(o.appliedFilters().length).toEqual(0),expect(o.activeFilter()).toBeFalsy()}),it("tracks filters and removes uncompleted deactivated ones",function(){spyOn(o,"removeFilter");var e=new t;o.appendFilter(e),expect(e.active()).toBeTruthy(),expect(e.complete()).toBeFalsy(),expect(o.appliedFilters().length).toEqual(1),e.active(!1),expect(o.removeFilter).wasCalled()}),it("fires an event when an active, completed filter is set inactive",function(){spyOn($,"publish");var e=new t;o.appendFilter(e),expect($.publish).wasNotCalled(),expect(e.active()).toBeTruthy(),expect(e.complete()).toBeFalsy(),expect(o.appliedFilters().length).toEqual(1),e.filter("filter1"),e.compareType("compareType1"),e.value("value1"),expect(e.complete()).toBeTruthy(),e.active(!1),expect($.publish).wasCalledWith("searchFilters.appliedFilters.changed")}),it("knows how to remove a filter",function(){var e=new t;e.filter("filter1"),e.compareType("compareType1"),e.value("value1");var n=new t;n.filter("filter2"),n.compareType("compareType2"),n.value("value2"),o.appendFilter(e),o.appendFilter(n),expect(o.appliedFilters().length).toEqual(2);var r=0;o.appliedFilters.subscribe(function(){r+=1}),o.removeFilter(e),expect(o.appliedFilters().length).toEqual(1),expect(r).toEqual(1),expect(e.active()).toBeFalsy(),expect(o.activeFilter()).toEqual(null)}),it("deactivates an active filter when it is removed",function(){var e=new t;e.filter("filter1"),e.compareType("compareType1"),e.value("value1"),o.appendFilter(e),e.active(!0),expect(o.activeFilter()).toEqual(e),o.removeFilter(e),expect(o.activeFilter()).toEqual(null)}),it("correctly deactivates filters",function(){var e=new t;o.appendFilter(e),expect(e.active()).toBeTruthy(),o.deactivateAllFilters(),expect(e.active()).toBeFalsy()}),it("loads filters via a getJSON call",function(){spyOn(o,"loadFiltersHandler"),o.loadFilters();var e=mostRecentAjaxRequest();e.response(u),expect(o.loadFiltersHandler).wasCalled()}),it("knows how to handle the filters response from the server",function(){o.filters([1,2]);var e={message:"OK",data:[4,5,6]};o.loadFiltersHandler(e),expect(o.filters().length).toEqual(3);var t=o.filters();expect(t[0]).toEqual(4),expect(t[1]).toEqual(5),expect(t[2]).toEqual(6)}),it("calls a callback when filters are loaded",function(){o.filters([1,2]);var e=jasmine.createSpy("load filters callback");o.loadFilters(e);var t=mostRecentAjaxRequest();t.response(u),expect(e).wasCalled()}),it("can return all the applied filters",function(){var e=function(e){var n=new t;return n.filter({propertyName:"propertyName "+e}),n.compareType({name:"compareType "+e}),n.value("value "+e),n},n=e(1),r=e(2),i=e(3),s=new t;s.filter({propertyName:"propertyName 4"}),s.compareType({name:"compareType 4"}),s.values(["value 4.1","value 4.2"]),i.value(null);var u={values:["value 0"]};o.staticFilters=[u],o.appliedFilters([n,r,i,s]);var a=o.getAppliedFilters();expect(a.length).toEqual(4),expect(a[0].values).toEqual(["value 0"]),expect(a[1].values).toEqual(["value 1"]),expect(a[2].values).toEqual(["value 2"]);var f=a[3].values;expect(f.length).toEqual(2),expect(f[0]).toEqual("value 4.1"),expect(f[1]).toEqual("value 4.2")}),it("can find filters",function(){var e={propertyName:"filter1"},t={propertyName:"filter2"},n={propertyName:"filter3"};o.filters([e,t,n]);var r=o.findFilter("filter2");expect(r).toEqual(t),r=o.findFilter("unknown"),expect(r).toEqual(null)}),it("can register filters",function(){var e={};expect(o.filters().length).toEqual(0),o.registerFilter(e),expect(o.filters().length).toEqual(1),expect(o.filters()[0]).toEqual(e);var t={},n={};o.registerAllFilters([t,n]),expect(o.filters().length).toEqual(3)}),it("won't register a filter that is in the static filters list",function(){var e={};expect(o.filters().length).toEqual(0),o.registerFilter(e),expect(o.filters().length).toEqual(1),expect(o.filters()[0]).toEqual(e);var t={propertyName:"static"};o.staticFilters=[t];var n={propertyName:"static"},i={};o.registerAllFilters([n,i]),expect(o.filters().length).toEqual(2),expect(r.find(o.filters(),function(e){return t.propertyName===e.propertyName})).toBeUndefined()}),it("adds utility methods to registered filters",function(){var e={};o.registerFilter(e),expect(e.has).toBeDefined(),expect(e.hasnt).toBeDefined(),expect(e.executeQuery).not.toBeDefined(),e.catpants=!0,expect(e.has("catpants")).toBeTruthy(),expect(e.has("catpants","doghat")).toBeFalsy(),expect(e.hasnt("catpants")).toBeFalsy(),expect(e.hasnt("catpants","doghat")).toBeTruthy()}),describe("executeQuery",function(){var e={valueUri:"some/made/up/url"},t;beforeEach(function(){t={term:"",callback:jasmine.createSpy()},o.registerFilter(e),expect(e.executeQuery).toBeDefined()}),it("should not make request for empty term",function(){e.executeQuery(t);var n=mostRecentAjaxRequest();expect(n.url).not.toEqual(e.valueUri),expect(t.callback).wasNotCalled()}),it("should make request for partial term",function(){t.term="cat",e.executeQuery(t);var n=mostRecentAjaxRequest();expect(n.url).toEqual(e.valueUri+"?q=cat");var r=["Sir Catpants","Son of Catpants"];n.response({status:200,responseText:JSON.stringify(r)}),expect(t.callback).wasCalled();var i=t.callback.mostRecentCall.args;expect(i.length).toEqual(1);var s=i[0].results;expect(s).toBeDefined(),expect(s.length).toEqual(2);var o=s[0];expect(o.id).toEqual(r[0]),expect(o.text).toEqual(r[0]),o=s[1],expect(o.id).toEqual(r[1]),expect(o.text).toEqual(r[1])})}),it("can clear out the filters",function(){var e={propertyName:"filter1"},t={propertyName:"filter2"},n={propertyName:"filter3"};o.filters([e,t,n]),expect(o.filters().length).toEqual(3),o.clearFilters(),expect(o.filters().length).toEqual(0)}),it("converts single value to singleton array for values",function(){spyOn(o,"compareTypeFromName").andReturn("compareType"),spyOn(o,"appendFilter").andCallThrough();var e=o.applyFilter("filter","compareTypeName","catpants");expect(e).toBeTruthy();var t=o.appendFilter.mostRecentCall.args[0];expect(t.values().length).toEqual(1),expect(t.values()[0]).toEqual("catpants")}),it("will convert appended filter compare type if given string",function(){spyOn(o,"compareTypeFromName").andReturn("compareType"),spyOn(o,"appendFilter").andReturn(!0);var e=o.applyFilter("filter","compareTypeName","value");expect(e).toBeTruthy(),expect(o.compareTypeFromName).wasCalled(),o.compareTypeFromName.reset(),e=o.applyFilter("filter",{},"value"),expect(e).toBeTruthy(),expect(o.compareTypeFromName).wasNotCalled()}),it("will fail if compare type is not found",function(){spyOn(o,"compareTypeFromName").andReturn(null),spyOn(o,"appendFilter").andReturn(!0);var e=o.applyFilter("filter","compareTypeName","value");expect(e).toBeFalsy(),expect(o.compareTypeFromName).wasCalled()}),it("can add another filter while one is active",function(){spyOn(o,"deactivateAllFilters"),spyOn(o,"appendFilter"),o.addAnother(),expect(o.deactivateAllFilters).wasCalled(),expect(o.appendFilter).wasCalled()})})})